---
title: Refresh participant's authentication token
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Realtime Kit](https://developers.cloudflare.com/api/python/resources/realtime_kit)

[Meetings](https://developers.cloudflare.com/api/python/resources/realtime_kit/subresources/meetings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Refresh participant's authentication token

realtime\_kit.meetings.refresh\_participant\_token(strparticipant\_id, MeetingRefreshParticipantTokenParams\*\*kwargs) -> [MeetingRefreshParticipantTokenResponse](<https://developers.cloudflare.com/api/python/resources/realtime_kit#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_refresh_participant_token_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/realtime/kit/{app\_id}/meetings/{meeting\_id}/participants/{participant\_id}/token

Regenerates participant’s authentication token for the given meeting and participant ID.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

account\_id: str

The account identifier tag.

maxLength32

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20refresh_participant_token%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

app\_id: str

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20refresh_participant_token%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

meeting\_id: str

formatuuid

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20refresh_participant_token%20%3E%20(params)%20default%20%3E%20(param)%20meeting_id%20%3E%20(schema)>)

participant\_id: str

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20refresh_participant_token%20%3E%20(params)%20default%20%3E%20(param)%20participant_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class MeetingRefreshParticipantTokenResponse: …

</summary>

<details>

<summary>

data: Data

Data returned by the operation

</summary>

token: str

Regenerated participant’s authentication token.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_refresh_participant_token_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20token">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_refresh_participant_token_response%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

success: bool

Success status of the operation

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_refresh_participant_token_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_refresh_participant_token_response%20%3E%20(schema)>)

### Refresh participant's authentication token

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.meetings.refresh_participant_token(
    participant_id="participant_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="14a396e7-ca44-4937-bf1f-050a69118543",
    meeting_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)
```

200 example

```
{
  "data": {
    "token": "token"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": {
    "token": "token"
  },
  "success": true
}
```